Use this API to verify whether a driving licence is valid. If the licence is valid, the associated details are sent in the response.
View the test data and use the information to trigger the validations. The test data can be used only in the sandbox environment.
Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.
The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.
Send the signature if two-factor authentication is selected as Public Key. More details.
Find the request paramenters to retrieve your customer's driving license information.
It is the unique ID you create to identify the verification request. A maximum of 50 characters are allowed. Only alphanumeric, period (.), hyphen (-) and underscore ( _ ) are allowed.
"test001"
It is the driving licence number of the individual for verification.
"KA0120198900984"
It is the date of birth of the individual as present in the driving licence. The accepted format is YYYY-MM-DD.
"1994-08-05"
Success response for retrieving the driving licence information.
It displays the unique ID you created to identify this API request.
"test001"
It displays the unique ID created by Cashfree Payments for reference purposes.
format: int64
78
It displays the unique number assigned to the driving licence.
"JK01FG8087"
It displays the date of birth of the individual as present in the driving licence.
"2001-10-23"
It displays the status of the driving licence. Possible values are
VALID: driving license is valid.INVALID: driving licence is invalid."VALID"
It contains the...
It contains the different information regarding the validity of the licence.
It contains the details of the driving licence.
{
"value": {
"date_of_issue": "10/05/2019",
"date_of_last_transaction": null,
"status": null,
"last_transacted_at": null,
"name": "JOHN DOE",
"father_or_husband_name": "JOHN DOE",
"address_list": [
{
"complete_address": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
"type": "permanent",
"split_address": {
"district": ["BANGALORE"],
"state": ["KARNATAKA", "KA"],
"city": ["BELLANDUR"],
"pincode": "560103",
"country": ["IN", "IND", "INDIA"],
"address_line": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103"
}
},
{
"complete_address": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
"type": "temporary",
"split_address": {
"district": ["BANGALORE"],
"state": ["KARNATAKA", "KA"],
"city": ["BELLANDUR"],
"pincode": "560103",
"country": ["IN", "IND", "INDIA"],
"address_line": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103"
}
}
],
"address": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
"photo": "PHOTO_LINK.jpeg",
"split_address": {
"district": ["BANGALORE"],
"state": [""],
"city": ["BELLANDUR"],
"pincode": "560103",
"country": ["IN", "IND", "INDIA"],
"address_line": "FLAT NO D-901 SUNCITY,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
"cov_details": []
}
}
}